NameSampleTypeFilter (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.namefind

## Class NameSampleTypeFilter

- java.lang.Object
- - opennlp.tools.util.FilterObjectStream<NameSample,NameSample>
  - - opennlp.tools.namefind.NameSampleTypeFilter

- All Implemented Interfaces:
    AutoCloseable, ObjectStream<NameSample>

      public class NameSampleTypeFilter
      extends FilterObjectStream<NameSample,NameSample>

  A stream which removes Name Samples which do not have a certain type.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameSampleTypeFilter(Set<String> types, ObjectStream<NameSample> samples)`
    `NameSampleTypeFilter(String[] types, ObjectStream<NameSample> samples)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NameSample` | `read()` Returns the next object.

    - ### Methods inherited from class opennlp.tools.util.FilterObjectStream

      `close, reset`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NameSampleTypeFilter

          public NameSampleTypeFilter(String[] types,
                                      ObjectStream<NameSample> samples)

    - #### NameSampleTypeFilter

          public NameSampleTypeFilter(Set<String> types,
                                      ObjectStream<NameSample> samples)

  - ### Method Detail

    - #### read

          public NameSample read()
                          throws IOException

      Description copied from interface: `ObjectStream`
      Returns the next object. Calling this method repeatedly until it returns null will return each object from the underlying source exactly once.
      Returns:
        the next object or null to signal that the stream is exhausted
      Throws:
        `IOException` - if there is an error during reading

Copyright © 2026 The Apache Software Foundation. All rights reserved.